#include<iostream>
using namespace std;

int main()
{
	
	int n,k,a[100],i,j,b[100],d[100],l=0;
	//Unos duzine table/broja strelica, trosnosti polja
	cin>>n>>k;
	for(i=0;i<2*n+1;i++)d[i]=0;
	for(i=0;i<n;i++)
	{
	
		cin>>a[i];
		
	}
	
	for(i=0;i<n;i++)
	{

		d[a[i]+n]++;
	}
	
	
	for(i=0;i<2*n+1;i++)
	{
	 
		if(d[i]>=k) 
		{
	
		b[l]=i-n;
		l++;
		}
	}
	
	cout<<l<<endl;	
	for(i=0;i<l;i++)
	{
	
		cout<<b[i]<<"\t";
	}
}